package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Testx;
import com.realnet.basicp1.Services.TestxService ;






@RequestMapping(value = "/Testx")
 @CrossOrigin("*") 
@RestController
public class TestxController {
	@Autowired
	private TestxService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Testx")
		  public Testx Savedata(@RequestBody Testx data) {
		Testx save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Testx/{id}")
	public  Testx update(@RequestBody Testx data,@PathVariable Integer id ) {
		Testx update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Testx/getall/page")
	public Page<Testx> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Testx> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Testx")
	public List<Testx> getdetails() {
		 List<Testx> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Testx")
	public List<Testx> getallwioutsec() {
		 List<Testx> get = Service.getdetails();		
		return get;
}
@GetMapping("/Testx/{id}")
	public  Testx  getdetailsbyId(@PathVariable Integer id ) {
		Testx  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Testx/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}